accrue.analysis.pointer

## Class LibraryPointsToSignature

- java.lang.Object
- - accrue.analysis.pointer.LibraryPointsToSignature

- Direct Known Subclasses:
    PointsToLibrarySigs.AllocatorOrReceiver, PointsToLibrarySigs.AssignsArgToField, PointsToLibrarySigs.ReturnsField, PointsToLibrarySigs.Singleton

      public abstract class LibraryPointsToSignature
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LibraryPointsToSignature()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `process(polyglot.types.CodeInstance caller, CContext callerContext, CallSiteNode callSiteNode, polyglot.types.ProcedureInstance mi, java.util.List<ReferenceVariableReplica> args, HContext receiver, ReferenceVariableReplica result, java.util.List<StmtProcedureCall.ExceptionHandlerPointsToGraphNode> handlers, java.util.Map<polyglot.types.Type,ReferenceVariableReplica> procThrows, StmtRegistrar stmtRegistrar, PointsToGraph g, polyglot.util.Position origin, HeapAbstractionFactory af, PointsToEngine.StmtAndContext sac)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LibraryPointsToSignature

          public LibraryPointsToSignature()

  - ### Method Detail

    - #### process

          public abstract boolean process(polyglot.types.CodeInstance caller,
                        CContext callerContext,
                        CallSiteNode callSiteNode,
                        polyglot.types.ProcedureInstance mi,
                        java.util.List<ReferenceVariableReplica> args,
                        HContext receiver,
                        ReferenceVariableReplica result,
                        java.util.List<StmtProcedureCall.ExceptionHandlerPointsToGraphNode> handlers,
                        java.util.Map<polyglot.types.Type,ReferenceVariableReplica> procThrows,
                        StmtRegistrar stmtRegistrar,
                        PointsToGraph g,
                        polyglot.util.Position origin,
                        HeapAbstractionFactory af,
                        PointsToEngine.StmtAndContext sac)
                                   throws polyglot.types.SemanticException

      Throws:
        `polyglot.types.SemanticException`